Package org.kapott.hbci.sepa.jaxb.camt_052_001_08

# Class NameAndAddress16

java.lang.Object
org.kapott.hbci.sepa.jaxb.camt_052_001_08.NameAndAddress16

public class NameAndAddress16 extends Object

Java class for NameAndAddress16 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="NameAndAddress16">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Nm" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.08}Max140Text"/>
             <element name="Adr" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.08}PostalAddress24"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected PostalAddress24`
`adr`
`protected String`
`nm`

## Constructor Summary

Constructors
Constructor
Description
`NameAndAddress16()`

## Method Summary

Modifier and Type
Method
Description
`PostalAddress24`
`getAdr()`
Gets the value of the adr property.
`String`
`getNm()`
Gets the value of the nm property.
`void`
`setAdr(PostalAddress24 value)`
Sets the value of the adr property.
`void`
`setNm(String value)`
Sets the value of the nm property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### nm

protected String nm

### adr

protected PostalAddress24 adr

## Constructor Details

### NameAndAddress16

public NameAndAddress16()

## Method Details

### getNm

public String getNm()
Gets the value of the nm property.

Returns:
  possible object is `String`

### setNm

public void setNm(String value)
Sets the value of the nm property.

Parameters:
  `value` - allowed object is `String`

### getAdr

public PostalAddress24 getAdr()
Gets the value of the adr property.

Returns:
  possible object is `PostalAddress24`

### setAdr

public void setAdr(PostalAddress24 value)
Sets the value of the adr property.

Parameters:
  `value` - allowed object is `PostalAddress24`